Subject: Re: bug#13887: 24.3; doc-view will render blurry images when image-magick is available

From: Tassilo Horn <[email-masked]>
Date: Wed, 06 Mar 2013 14:01:13 +0100

E Sabof <[email-masked]> writes:

> I've tried it, indeed it works much better. Might it be possible to
> store the the "native" size, and raise the resolution automatically
> when the zoom exceeds it?

Well, the resolution should be increased and the doc reconverted when
the up-scaled image becomes blurry.  But how should emacs know when you
think it becomes blurry?

> On a side note, might it be also possible to horizontally center the
> image?  There is a pretty straight-forward way to do it, used in the
> about-emacs screen.

I guess this could be done somehow.  But do you want to center to make
the contents a bit larger and not to see the margins?  If so, then
slicing to the bounding box (`s b') followed by fitting to width (`W')
may be the better approach.

Bye,
Tassilo